Subject: Stativ vs, Dynamic for MS-PWs (was: [PWE3] VCCV BFD mode)

From: "Sasha Vainshtein" <[email-masked]>
Date: Sun, 28 May 2006 11:12:07 +0200

Hi all,
While I agree that the previouse email was not about "staric vs. dynamic", I'd like to note
that, with introduction of MS-PWs, the original notion of "static" PWs becomes ambiguous.

With MS-PWs, it is, IMHO, perfectly possible:
- to exchange PW labes for each segment dynamically while stitching these segments statiscally (by manual configuration in each S-PE)
- to exchange PW labels dynamically for some segements and statically for some other segments (again with manul stitching, of course).

Maybe the MS-PW architecture draft should try to address that?

Regards,
                                Sasha

> -----Original Message-----
> From: Thomas D. Nadeau [mailto:[email-masked]]
> Sent: Friday, May 26, 2006 6:20 PM
> To: Mustapha Aissaoui
> Cc: 'pwe3'; 'Stewart Bryant'
> Subject: Re: [PWE3] VCCV BFD mode
> 
> 
> 
> On May 26, 2006, at 10:47 AM, Mustapha Aissaoui wrote:
> 
> >
> >
> >> -----Original Message-----
> >> From: Thomas D. Nadeau [mailto:[email-masked]]
> >> Sent: Friday, May 26, 2006 9:04 AM
> >> To: Mustapha Aissaoui
> >> Cc: 'pwe3'; 'Stewart Bryant'
> >> Subject: Re: [PWE3] VCCV BFD mode
> >>
> >>
> >> On May 25, 2006, at 2:34 PM, Mustapha Aissaoui wrote:
> >>
> >>> Stewart,
> >>> See below.
> >>>
> >>> Mustapha.
> >>>
> >>>> -----Original Message-----
> >>>> From: Stewart Bryant [mailto:[email-masked]]
> >>>> Sent: Thursday, May 25, 2006 9:14 AM
> >>>> To: pwe3
> >>>> Subject: Re: [PWE3] VCCV BFD mode
> >>>>
> >>>> Sasha Vainshtein wrote:
> >>>>
> >>>>> Yaakov, Rahul and all.
> >>>>> I think  that VCCV in the BFD mode, just as LSP-Ping, shall
> >>>> use Destination IP address from 127/8 (loopback addresses).
> >>>>> If this is correct, it would resolve the problem mentioned
> >>>> by Yaakov.
> >>>>>
> >>>>> My 2 c
> >>>>>
> >>>>> Regards,
> >>>>>                                Sasha
> >>>>>
> >>>>
> >>>> We need to consider what architecture we want.
> >>>>
> >>>> If we run BFD over IP over PW (with the loopback address) we are
> >>>> really running it between the control plane endpoints, 
> because the
> >>>> layering requires us to remove the PW headers and deliver
> >> the packet
> >>>> to the object that is addressed by the IP address that 
> is carrying
> >>>> the VCCV packet.
> >>>>
> >>>> If we omit the IP header we are running BFD strictly
> >> between the PW
> >>>> demux endpoints and the BFD packet never exits the PW 
> environment.
> >>>>
> >>>> What would we do if we were running static PWs? In that case we
> >>>> strictly do not need an IP address at all, so what IP
> >> address would
> >>>> we use?
> >>>>
> >>>> I think that if we run BFD directly over the PW we achieve
> >> the best
> >>>> match between the scope of the packet and the object we
> >> are testing,
> >>>> and at the same time increase the flexibility of VCCV to run in a
> >>>> number of tunnel enviroments.
> >>>>
> >>>> Other views?
> >>>
> >>> MA> I would vote in favor of keeping BFD over PWs inline with BFD
> >>> over LSPs.
> >>> I know there are tradeoffs in terms of what is being
> >> exercised by the
> >>> BFD message but implementation wise, this is what we do for
> >> VCCV Ping.
> >>>
> >>> As for static PWs, there are two cases to consider:
> >>> 1. Static PW configured on a node compliant to the PWE3
> >> architecture.
> >>> In that case, all what is needed is to provide local
> >> configuration on
> >>> the node of the BFD capabilities since there is no T-LDP
> >> session to be
> >>> used for the negotiation of these parameters.
> >>>
> >>> 2. Static PWs on an ITU compliant architecture with no IP control
> >>> plane. In that case, it is up to ITU to define what OAM mechanisms
> >>> they want to use.
> >>> In fact, Y.1711 already defined a feature called Fast Failure
> >>> Detection
> >>> (FFD) and which includes a LSP Trail Termination Source Identifier
> >>> (TTSI).
> >>> The latter is a which includes a LSR ID and a LSP ID. The
> >> LSR ID can
> >>> be in
> >>> IPv6 or IPv4 format. I assume they will extend this feature
> >> to operate
> >>> over interworking LSPs (PW in ITU architecture).
> >>
> >> 	I totally disagree with this. Why would you want to
> >> implement two completely different mechanisms within the same
> >> box/code?  Chances are that the same vendors will be building
> >> a single code base/box that can do both static and dynamic.
> >>
> >> 	--Tom
> >
> > This is not about static vs dynamic. This is about architecture  
> > choices. The
> > ITU architecture for MPLS/PW is different than PWE3. It is up to  
> > ITU to
> > decide what OAM mechanisms they want to use.
> 
> 	Sure, have fun. *)
> 
> > As for static PW support as per the PWE3 architecture, 
> which is the  
> > point of
> > this email discussion, point 1 above states that this can be done  
> > with the
> > same implementation as dynamic PWs except for the local  
> > configuration of the
> > BFD parameters.
> 
> 	Yes.
> 
> 	--tom
> 
> 
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
> 
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: [email-masked]
Date: Tue, 30 May 2006 17:23:59 +0100

Hi Sasha,

I'm not sure that we every really defined "static" PWs, although there are
references to static configuration of PWs and end points in the MS-PW
architecture draft, and also in RFC4447 as follows:

- PWs where the PW labels are statically assigned
- PWs where the end points are discovered automatically, rather than
statically configured

Section 9.1. of the MS-PW arch document talks about setup and tear down of
the MS-PW segments, and I agree that it would probably behelpful to address
this in that section.

Matthew

 the correct place

             "Sasha                                                        
             Vainshtein"                                                   
             <[email-masked]                                          To 
             >                         "Stewart Bryant"                    
                                       <[email-masked]>                
             28/05/2006 10:12                                           cc 
                                       "Thomas D. Nadeau"                  
                                       <[email-masked]>, pwe3           
                                       <[email-masked]>,                    
                                       [email-masked]       
                                                                   Subject 
                                       Stativ vs, Dynamic for MS-PWs (was: 
                                       [PWE3] VCCV BFD mode)               

                                                                           

Hi all,
While I agree that the previouse email was not about "staric vs. dynamic",
I'd like to note
that, with introduction of MS-PWs, the original notion of "static" PWs
becomes ambiguous.

With MS-PWs, it is, IMHO, perfectly possible:
- to exchange PW labes for each segment dynamically while stitching these
segments statiscally (by manual configuration in each S-PE)
- to exchange PW labels dynamically for some segements and statically for
some other segments (again with manul stitching, of course).

Regards,
                                Sasha